# 网站基本信息
baseURL = "https://blog.7wate.com/"         # 请替换为你的实际域名
languageCode = "zh-cn"
title = "向阳而生"
theme = "typo"
defaultContentLanguage = "zh-cn"
hasCJKLanguage = true
enableEmoji = true
canonifyURLs = true

# 构建性能
timeout = "300s"

# 永久链接结构
[permalinks]
  posts = ":slug/"

# 自定义分类标签
[taxonomies]
  tag = "tags"
  category = "categories"
  series = "series"

# 菜单设置
[[params.menu]]
name = "首页"
url = "/"

[[params.menu]]
name = "文辑"
url = "/posts/"

[[params.menu]]
name = "片语"
url = "https://memos.7wate.com/explore"
newTab = true

[[params.menu]]
name = "关于"
url = "/about/"
newTab = true

# Typo 主题参数
[params]
description = "愿我们都能：执着于热爱，纯粹于当下。"
theme = "auto"
colorPalette = "base16-default"
# default;
# catpuccin;
# gruvebox;
# eink;
# base16-default;
# base16-eighties;
# base16-ocean;
# base16-mocha;
# base16-cupcake.

# 首页设置
homeIntroTitle = "👋👋👋"
homeIntroContent = """
愿我们都能：执着于热爱，纯粹于当下。
"""

# 文辑设置
homeCollectionTitle = "文辑"
homeCollection = "posts"

# 文章设置
hideHeader = true
readTime = true
paginationSize = 7
listSummaries = false
listDateFormat = "2006 Jan"
homeDateFormat = "2 Jan"

# 页脚设置
showFooter = true
footerContent = "© 2025 向阳而生"

# 面包屑导航
[params.breadcrumbs]
enabled = true
showCurrentPage = true
home = "首页"

# 社交链接
[[params.social]]
name = "github"
url = "https://github.com/7wate"

[[params.social]]
name = "gmail"
url = "mailto:zhouzhongping@7wate.com"

[[params.social]]
name = "rss"
url = "https://blog.7wate.com/feed.xml"

# Markdown 与高亮设置
[markup]
  [markup.highlight]
    style = "algol"

  [markup.goldmark.renderer]
    unsafe = false

# 安全设置
[security]
  enableInlineShortcodes = true

# 站点地图（SEO）
[sitemap]
  changefreq = "weekly"
  priority = 0.5
  filename = "sitemap.xml"

# 网站分析
[params.umami]
enable = true
websiteId = "ce53db0e-af27-4703-ba19-d4792c8cff78"
jsLocation = "https://umami.7wate.com/script.js"

# 隐私与 GDPR
[privacy]
  [privacy.googleAnalytics]
    anonymizeIP = true
    respectDoNotTrack = true
    useSessionStorage = false
    disable = false

# 构建压缩设置
[minify]
  minifyOutput = true
